#
# spec file for package isns
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           isns
Url:            http://sourceforge.net/projects/linuxisns/
PreReq:         %fillup_prereq %insserv_prereq 
BuildRequires:  gdbm-devel
Version:        2.1.02
Release:        59.2
Provides:       linux-isns
%define iscsi_release 01
Summary:        Internet Storage Naming Service
License:        BSD-3-Clause
Group:          System/Daemons
Source:         %{name}-2.1-02.tar.bz2
Source1:        %{name}.services
Patch:          isns-init.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Naming and discovery service that supports ISCSI initiators and
targets.

%prep
%setup -n %{name}-2.1-02
%patch

%build
make %{?_smp_mflags} OPTFLAGS="%optflags" -C isnsclient
make %{?_smp_mflags} OPTFLAGS="%optflags" -C isnsserver

%install
install -vD isnsserver/isnsd ${RPM_BUILD_ROOT}/usr/sbin/isnsd
install -vD isnsclient/isnsc ${RPM_BUILD_ROOT}/sbin/isnsc
install -vD isnsclient/isnsadm ${RPM_BUILD_ROOT}/sbin/isnsadm
install -vD -m 755 isnsserver/etc/initd.suse ${RPM_BUILD_ROOT}/etc/init.d/isns
ln -sf   ../../etc/init.d/isns $RPM_BUILD_ROOT/usr/sbin/rcisns
install -vD %{S:1} ${RPM_BUILD_ROOT}/etc/sysconfig/SuSEfirewall2.d/services/isns

%post
%{fillup_and_insserv isns}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/sbin/*
%attr(755,root,root)/sbin/*
%attr(755,root,root)/etc/init.d/*
%attr(644,root,root)/etc/sysconfig/SuSEfirewall2.d/services/isns

%changelog
* Thu Oct 25 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Wed Aug 27 2008 ro@suse.de
- fix init script
* Tue Sep 18 2007 wrwhitehead@novell.com
- Fixed bug 326133 - incorrect return of iSCSI node index when doing
  a node domain discovery query.
* Tue Aug 28 2007 wrwhitehead@novell.com
- Updated to newer version of isns which fixes tcp buffer overun,
  portal groups, and improved client speed
* Wed Apr  4 2007 hare@suse.de
- Added service definition for SUSEFirewall2 (#254456)
* Sat Mar 31 2007 agraf@suse.de
- Add build requirement for gdbm-devel
- Remove binaries from source tar
* Fri Mar 30 2007 wrwhitehead@novell.com
- Update to version 2.0-04 - Fixed defect 257976 - Was not searching
  all Discovery Domains
* Thu Mar 15 2007 wrwhitehead@novell.com
- Update to version 2.0-04 - add socket timeout (comm.c). This fixes
  the defects against the isnsadm from hanging when invalid ip address
* Wed Feb  7 2007 wrwhitehead@novell.com
- Update to version 2.0-03 - adds the new isnsadm
* Wed Jan 17 2007 wrwhitehead@novell.com
- Update to version 2.0.02 - which fixes the script files
* Fri Jan 12 2007 wrwhitehead@novell.com
- Submit isns 2.0, significant upgrades to 1.5 from initial checkin
* Thu Jan 11 2007 ihno@suse.de
- Fate ID is 300651 and 233
* Fri Dec  8 2006 wrwhitehead@novell.com
- Initial Checkin of isns
